﻿@model StarterProjectV2.ViewModels.RoomSlotView
@{
    ViewBag.Title = "RoomCreate";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>

}

<div class="row justify-content-center ">
    <div class="card col-12">
        <div class="card-body">
            <h1 class="text-center mb-5" style="color:indianred">Assign Slot to a Particular Room</h1>
            <p class="text-muted"></p>

            @using (Html.BeginForm("RoomSlotAddorEdit", "RoomSlotAssignment", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {
                <div class="form-group row mb-3">
                    @*@Html.LabelFor(m => m.OwnershipCriteria, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                    <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Select Room</label>
                        @Html.DropDownListFor(m=>m.RoomSelected, @Model.RoomList.Select(m=>new SelectListItem()
                        {
                            Text = m.RoomNo,
                            Value = m.RoomId
                        }) , "------", new {@class= "form-control form    -control-lg col-2", id="sel1" })
                    

                    <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Select Slot</label>
                        @Html.DropDownListFor(m=>m.SlotSelected, @Model.SlotList.Select(m=>new SelectListItem()
                        {
                            Text = m.SlotName,
                            Value = m.SlotId
                        }) , "------", new {@class= "form-control form    -control-lg col-2", id="sel2" })
                    
                </div>

                @*@Html.HiddenFor(m => m.RoomId, new { @id = "RoomId" })*@

                <div class="row">
                    <div>
                        <button type="submit" class="btn btn-primary m-1">Submit</button>
                    </div>
                    <div>
                        <button type="button" class="btn btn-danger m-1">Reset</button>
                    </div>
                </div>
            }
        </div>
    </div>
</div>

<script>

    $("#sel1").change(function () {
        $.getJSON("../RoomSlotAssignment/gettingSlotList", { roomId: $("#sel1 option:selected").val() },
            function (data) {

                var select = $("#sel2");
                select.empty();


                select.append($('<option/>', {
                    value: 0,
                    text: "--"
                }));


                $.each(data, function (index, itemData) {

                    select.append($('<option/>', {
                        value: itemData.Value,
                        text: itemData.Text
                    }));

                });
            });
    });
</script>
<script>
    $(document).ready(function () {
        $("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });
        $('#reloadItem').click(function () {
            location.reload();
        });
        $("#reportItem").remove();
        $("#dashboardItem").click(function () {

        });
    });
</script>